#---------------------------------------------------------------------------#
#          Copyright (c) 1997-2010 PDFlib GmbH. All rights reserved.        #
#---------------------------------------------------------------------------#
#    This software may not be copied or distributed except as expressly     #
#    authorized by PDFlib GmbH's general license agreement or a custom      #
#    license agreement signed by PDFlib GmbH.                               # 
#    For more information about licensing please refer to www.pdflib.com.   #
#---------------------------------------------------------------------------#

# $Id: pcoslib_pl.pm,v 1.10 2013/08/02 13:37:57 rjs Exp $
#   
#---------------------------------------------------------------------------*
#              PDFlib - A library for generating PDF on the fly             |
#---------------------------------------------------------------------------+

package pcoslib_pl;
require Exporter;
require DynaLoader;
$VERSION=4.0;
@ISA = qw(Exporter DynaLoader);
package pcoslibc;
bootstrap pcoslib_pl;
var_pcoslib_init();
@EXPORT = qw( );

# ---------- BASE METHODS -------------

package pcoslib_pl;

sub TIEHASH {
    my ($classname,$obj) = @_;
    return bless $obj, $classname;
}

sub CLEAR { }

sub this {
    my $ptr = shift;
    return tied(%$ptr);
}


# ------- FUNCTION WRAPPERS --------

package pcoslib_pl;
*pCOS_new = *pcoslibc::pCOS_new;
*pCOS_delete = *pcoslibc::pCOS_delete;
# update from wrap.pl

*pCOS_close_document = *pcoslibc::pCOS_close_document;
*pCOS_convert_to_unicode = *pcoslibc::pCOS_convert_to_unicode;
*pCOS_create_pvf = *pcoslibc::pCOS_create_pvf;
*pCOS_delete_pvf = *pcoslibc::pCOS_delete_pvf;
*pCOS_get_apiname = *pcoslibc::pCOS_get_apiname;
*pCOS_get_errmsg = *pcoslibc::pCOS_get_errmsg;
*pCOS_get_errnum = *pcoslibc::pCOS_get_errnum;
*pCOS_info_pvf = *pcoslibc::pCOS_info_pvf;
*pCOS_open_document = *pcoslibc::pCOS_open_document;
*pCOS_open_document_mem = *pcoslibc::pCOS_open_document_mem;
*pCOS_pcos_get_number = *pcoslibc::pCOS_pcos_get_number;
*pCOS_get_number = *pcoslibc::pCOS_get_number;
*pCOS_pcos_get_string = *pcoslibc::pCOS_pcos_get_string;
*pCOS_get_string = *pcoslibc::pCOS_get_string;
*pCOS_pcos_get_stream = *pcoslibc::pCOS_pcos_get_stream;
*pCOS_get_stream = *pcoslibc::pCOS_get_stream;
*pCOS_set_option = *pcoslibc::pCOS_set_option;
*pCOS_utf8_to_utf16 = *pcoslibc::pCOS_utf8_to_utf16;
*pCOS_utf8_to_utf32 = *pcoslibc::pCOS_utf8_to_utf32;
*pCOS_utf16_to_utf8 = *pcoslibc::pCOS_utf16_to_utf8;
*pCOS_utf16_to_utf32 = *pcoslibc::pCOS_utf16_to_utf32;
*pCOS_utf32_to_utf8 = *pcoslibc::pCOS_utf32_to_utf8;
*pCOS_utf32_to_utf16 = *pcoslibc::pCOS_utf32_to_utf16;

@EXPORT = qw(
pCOS_new
pCOS_delete
pCOS_close_document
pCOS_convert_to_unicode
pCOS_create_pvf
pCOS_delete_pvf
pCOS_get_apiname
pCOS_get_errmsg
pCOS_get_errnum
pCOS_info_pvf
pCOS_open_document
pCOS_open_document_mem
pCOS_pcos_get_number
pCOS_get_number
pCOS_pcos_get_string
pCOS_get_string
pCOS_pcos_get_stream
pCOS_get_stream
pCOS_set_option
pCOS_utf8_to_utf16
pCOS_utf8_to_utf32
pCOS_utf16_to_utf8
pCOS_utf16_to_utf32
pCOS_utf32_to_utf8
pCOS_utf32_to_utf16

);
